summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-linked-scripts
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2011-05-28 17:36:35 +0000
committerKarl Berry <karl@freefriends.org>2011-05-28 17:36:35 +0000
commit3a475abacbba29fa2d4ced2bc5fba1070cc07000 (patch)
treef33561652d311c777f394710a5751e81af903ed2 /Master/tlpkg/bin/tl-update-linked-scripts
parent6f4cdbcd595c36f1a5100f9a107b9f00e15df61e (diff)
exit if cp fails, doc cleanups.
git-svn-id: svn://tug.org/texlive/trunk@22649 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-linked-scripts')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-linked-scripts8
1 files changed, 1 insertions, 7 deletions
diff --git a/Master/tlpkg/bin/tl-update-linked-scripts b/Master/tlpkg/bin/tl-update-linked-scripts
index 8f9a5b2ef44..5ef63786983 100755
--- a/Master/tlpkg/bin/tl-update-linked-scripts
+++ b/Master/tlpkg/bin/tl-update-linked-scripts
@@ -24,13 +24,7 @@ compare_and_copy () {
cmp -s $Src/$file $Dest/$file && continue
echo "updating $Src/$file -> $Dest/$file"
diff -u0 $Src/$file $Dest/$file
- cp $Src/$file $Dest/$file
-
- # simpler/clearer history to just update?
- #svn delete --force $Dest/$file && svn copy $Src/$file $Dest/$file || exit 1
-
- # keyword expansion should be off in $Dest, so this shouldn't be needed:
- #cp $Src/$file $Dest/$file
+ cp $Src/$file $Dest/$file || exit 1
done
}